/*
 * Copyright (c) 2018, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.wso2.carbon.siddhi.editor.core.util.eventflow.info;

import java.util.ArrayList;
import java.util.List;

/**
 * Defines a Siddhi Query.
 */
public class QueryInfo extends SiddhiElementInfo {

    private List<String> inputStreamIds = new ArrayList<>();
    private String outputStreamId;
    private List<String> functionIds = new ArrayList<>();

    public void setInputStreamIds(List<String> inputStreamIds) {
        this.inputStreamIds = inputStreamIds;
    }

    public void setOutputStreamId(String outputStreamId) {
        this.outputStreamId = outputStreamId;
    }

    public void setFunctionIds(List<String> functionIds) {
        this.functionIds = functionIds;
    }

    public List<String> getInputStreamIds() {
        return inputStreamIds;
    }

    public String getOutputStreamId() {
        return outputStreamId;
    }

    public List<String> getFunctionIds() {
        return functionIds;
    }

}
